Bug 233142 - Review Request: asc - Advanced Strategic Command
Review Request: asc - Advanced Strategic Command
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Package Reviews List
:
Depends On: SDLmm 233140
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-20 12:47 EDT by Hans de Goede
Modified: 2008-04-14 12:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-06 04:48:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-03-20 12:47:55 EDT
Spec URL: http://people.atrpms.net/~hdegoede/asc.spec
SRPM URL: http://people.atrpms.net/~hdegoede/asc-1.16.4.0-1.fc7.src.rpm
Description:
ASC is a free, turn based strategy game.
Comment 1 Hans de Goede 2007-03-20 12:50:43 EDT
Note this requires SDLmm (review bug 233139) and paragui (review bug 233140)
Comment 2 Hans de Goede 2007-03-21 06:35:08 EDT
New version:
* Wed Mar 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.16.4.0-2
- Use system verion of SDLmm, rand_r instead of own private copy

Spec URL: http://people.atrpms.net/~hdegoede/asc.spec
SRPM URL: http://people.atrpms.net/~hdegoede/asc-1.16.4.0-2.fc7.src.rpm
Comment 3 Jon Ciesla 2007-04-02 13:36:57 EDT
Building on FC-6:
../../edmisc.cpp:4564: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[4]: *** [edmisc.o] Error 1
make[4]: Leaving directory
`/usr/src/redhat/BUILD/asc-1.16.4.0/source/unix/mapeditor'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/src/redhat/BUILD/asc-1.16.4.0/source/unix'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/asc-1.16.4.0/source'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/asc-1.16.4.0'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.57624 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.57624 (%build)
Comment 4 Jon Ciesla 2007-04-02 14:35:55 EDT
Second attempt.

../../objecttype.cpp:933: warning: unused variable 'copycount'
g++: Internal error: Segmentation fault (program cc1plus)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
make[4]: *** [objecttype.o] Error 1
make[4]: Leaving directory `/usr/src/redhat/BUILD/asc-1.16.4.0/source/tools/linux'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/src/redhat/BUILD/asc-1.16.4.0/source/tools'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/asc-1.16.4.0/source'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/asc-1.16.4.0'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.21812 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.21812 (%build)
Comment 5 Jon Ciesla 2007-04-02 15:07:51 EDT
Vanilla source builds fine.. . .trying the rpm sans patch. . .
Comment 6 Jon Ciesla 2007-04-02 15:23:39 EDT
Nah, that's worse.  What's going on? I assume it's a problem in the sed scripts,
but my sed-foo is only a tiny blossom.
Comment 7 Hans de Goede 2007-04-02 15:39:43 EDT
Erm, I don't want to be negative, but gcc segfaulting instead of giving an
error, and especially that happening twice with different source files, is an
(serious) indication of RAM / CPU problems. Are you running devel / Fedora 7?
Maybe there is an actual bug in gcc there, try upgrading. But chances are you're
hardware is not 100% I know it may seem to be working fine, both lamost nothing
hits / stresses the hardware as much as gcc, it could for example also be a
cooling problem.
Comment 8 Jon Ciesla 2007-04-02 15:52:45 EDT
I'll try it on a different box.  I've been building on this box for awhile, no
major issues so far.  I'll see what happens.
Comment 9 Jon Ciesla 2007-04-03 07:41:58 EDT
Ah, that worked.  Crud, now I have to build a new dev box.  Oh well.  Anyway, it
builds, rpmlint is clean.  TBC. . .
Comment 10 Jon Ciesla 2007-04-03 08:23:42 EDT
Named accoring to naming Guidelines.
Spec name good.
Meets PackagingGuidelines.
License is good.
Spec is legible American English.
Comment 11 Jon Ciesla 2007-04-03 08:56:54 EDT
Source MD5 matches.
Builds on 1386.
BRs are OK.
Locales N/A.
No ldconfig needed.
Not relocatable.
Ownership OK.
No dupes.
Perms OK.
Clean present.
Comment 12 Jon Ciesla 2007-04-03 09:04:31 EDT
Macro use OK.
Code, not content.
No large docs.
No runtime doc deps.
No header or static files.
No libraries.
No .pc files.
Desktop file is good, handled properly.
All MUSTS good.
Comment 13 Jon Ciesla 2007-04-03 09:53:19 EDT
Builds in mock.
SHOULDS look fine.
APPROVED.
Comment 14 Hans de Goede 2007-04-03 10:21:32 EDT
New Package CVS Request
=======================
Package Name:      acs
Short Description: Advanced Strategic Command
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 devel
InitialCC:         <empty>

Comment 15 Hans de Goede 2007-04-03 10:22:37 EDT
OOPS make that:

New Package CVS Request
=======================
Package Name:      asc
Short Description: Advanced Strategic Command
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 devel
InitialCC:         <empty>
Comment 16 Jens Petersen 2007-04-06 02:31:53 EDT
done
Comment 17 Hans de Goede 2007-04-06 04:48:24 EDT
Thanks for the review!

Imported and build, closing.
Comment 18 Hans de Goede 2008-04-14 08:37:02 EDT
Early asc F-10 branch request:

Package Change Request
======================
Package Name: asc
New Branches: F-9

Comment 19 Kevin Fenzi 2008-04-14 12:05:27 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.